SHA1CDSUM(1)

NAME
sha1cdsum - SHA-1 digests with collision detection

DESCRIPTION
sha1cdsum 0.2.3 Print or check SHA1 (160-bit) checksums with collision detection.

  USAGE:

    sha1cdsum [FLAGS] [files]...

  FLAGS:

-b, --binary
    read in binary mode

-c, --check
    read SHA1 sums from the FILEs and check them

-h, --help
    Prints help information

--tag
    create a BSD-style checksum

-t, --text
    read in text mode

-V, --version
    Prints version information

-z, --zero
    end each output line with NUL, not newline, and disable file name escaping

--ignore-missing
    don't fail or report status for missing files

--quiet
    don't print OK for each successfully verified file

--status
    don't output anything, status code shows success

--strict
    exit non-zero for improperly formatted checksum lines

-w, --warn
    warn about improperly formatted checksum lines

  ARGS:

<files>...
    Input file(s). With no FILE, or when FILE is -, read standard input

The last five options are useful only when verifying checksums.

The sums are computed using Marc Stevens' modified SHA1 that detects collision attacks. When checking, the input should be a former output of this program. The default mode is to print a line with checksum, a space, a character indicating input mode ('*' for binary, ' ' for text or where binary is insignificant), and name for each FILE.

If a collision is detected, '*coll*' is printed in front of the file name.

Note: There is no difference between binary mode and text mode on GNU systems.

This program implements the same interface as coreutils' sha1sum, modulo error messages printed to stderr, handling of non-UTF8 filenames, and bugs.

SEE ALSO
https://shattered.io/

https://sha-mbles.github.io/

https://gitlab.com/sequoia-pgp/sha1collisiondetection